<?php
session_start();
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
 $kwid = "prase";
 $search = "prase";
 $pocetKroku = 35;
 $min = 0;
 if (isset($_GET["kwid"]))
 {
  $kwid = $_GET["kwid"];
 };
 if (isset($_POST["search"]))
 {
  $search = $_POST["search"];
 };
 if (isset($_GET["min"]))
 {
  $min = $_GET["min"];
 };
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
      <div class="item">
        <h2>Vítejte v databázi pacientů </h2>
        <ul class="info">
          <li>Info</li>
          <li class="tag">Hledání pacienta dle vybrané choroby</li>
               </ul>
               <br />
  <?php

echo "Fulltextové vyhledávání pacientů dle zadané choroby:";
echo "<br />";
echo "<br />";
echo "možnosti vyhledávání:";
echo "<br />";
echo "(vepište přesný název choroby- např. Cholera";
echo "<br />";
echo "nebo použijte % pro neznámé znaky - např. Chol%";
echo "<br />";
echo "<form method='post' action=''>";
echo "<textarea name='search' cols='20' rows='1'>";
echo "</textarea><br>";
echo "<input type='submit' value='Vyhledávání' />";
echo "</form>";
echo "<br />";
?>
  <?php 
  if ($kwid == "prase" && $search == "prase")
  {
   	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
    if (!$spojeni):
	    echo "Nepodařilo se připojit k MySQL.<BR>\n";
      break;
	  endif;
	  MySQL_Select_DB("marvik_johny_cz");
	  @$vysledek = MySQL_Query("SELECT * FROM `keywords` LIMIT ".$min." , ".$pocetKroku);
	    echo      "Seznam chorob, zobrazovaný počet chorob je nastaven na číslo $pocetKroku";
	  if (!$vysledek):
		  echo "Došlo k chybě při zpracování dotazu v databázi A.<BR>\n";
		  break;
	  endif;
	
	
	
	
	  while ($zaznam = MySQL_Fetch_Array($vysledek))
	  {
	    $vypis = "<div>Choroba dle MKN10:";
      $vypis .= "<a href='?kwid=".$zaznam['kwid']."'>".$zaznam['title_cs']."</a>";
      $vypis .="</div>";
      echo($vypis);
    }
	
	  if ($min-$pocetKroku >= 0)
	  {
	    echo "<div><a href = '?min=".($min-$pocetKroku)."'>zpet</a></div>";
	  }
	  if ($min+$pocetKroku <= 14384)
	  {
	    echo "<div><a href = '?min=".($min+$pocetKroku)."'>dalsi</a></div>";
	  }
	 }
	 else
	 {
	 
	   @$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
     if (!$spojeni):
	     echo "Nepodařilo se připojit k MySQL.<BR>\n";
       break;
	   endif;
	   MySQL_Select_DB("marvik_johny_cz");
	  
	   //vybrani choroby ze seznamu
	   if ($search == "prase")
	   {
	     @$vysledek = MySQL_Query("SELECT * FROM pacient, pacient_vysetreni,vysetreni WHERE pacient.id_pacient=pacient_vysetreni.id_pacient AND pacient_vysetreni.id_vysetreni = vysetreni.id_vysetreni AND vysetreni.kwid=".$kwid);
	     if (!$vysledek):
		     echo "Došlo k chybě při zpracování dotazu v databázi B.<BR>\n";
		     break;
	     endif;
	     	     @$lol = MySQL_Query("SELECT title_cs FROM keywords WHERE keywords.kwid=".$kwid);
	     if (!$lol):
		     echo "Došlo k chybě při zpracování dotazu v databázi B.<BR>\n";
		     break;
	     endif;
	     $rofl = MySQL_Fetch_Array($lol);
	     $chorobka= $rofl['title_cs'];
	     echo "Vybraná choroba: <STRONG>$chorobka</STRONG>";
	     	     echo "<BR />";
	     	      echo "Seznam pacientů s touto chorobou:";
	     	         echo "<BR />";
	     while ($zaznam = MySQL_Fetch_Array($vysledek))
	     {
         $vypis = "<div>Jmeno Pacienta: ";
         $vrc = $zaznam['RodneCislo_hash'];
         $vypis .= "<a href='upravit.php?vrc=".$vrc."'>".$zaznam['Jmeno'] . " " . $zaznam['Prijmeni']."</a>";
         $vypis .="</div>";
         echo($vypis);
       }
	   }
	   //vybrani choroby z fultextoveho vyhledavani
	   else
	   {
       @$vysledek = MySQL_Query("SELECT * FROM `keywords` WHERE `title_cs` LIKE '".$search."'LIMIT 0 , 50");
	     if (!$vysledek):
		    echo "Došlo k chybě při zpracování dotazu v databázi C.<BR>\n";
		    break;
	     endif;
	
	     //seznam chorob
	     $seznam_chorob = Array();
	     while ($zaznam = MySQL_Fetch_Array($vysledek))
	     {
	       $seznam_chorob[] = $zaznam["kwid"];  
         $vypis = "<div>Choroba c.:";
         $vypis .= "<a href='?kwid=".$zaznam['kwid']."'>".$zaznam['title_cs']."</a>";
         $vypis .="</div>";
         echo($vypis);
	     }
	     echo "<br>";
	     
	     foreach ($seznam_chorob as $item)
	     {
          @$vysledek = MySQL_Query("SELECT * FROM pacient, pacient_vysetreni,vysetreni WHERE pacient.id_pacient=pacient_vysetreni.id_pacient AND pacient_vysetreni.id_vysetreni = vysetreni.id_vysetreni AND vysetreni.kwid=".$item);
	        if (!$vysledek):
		        echo "Došlo k chybě při zpracování dotazu v databázi D.<BR>\n";
		        break;
	        endif;
	        
	/*        while ($zaznam = MySQL_Fetch_Array($vysledek))
	        {          
            $vypis = "<div>Jmeno Pacienta: ";
            $vrc = $zaznam['RodneCislo_hash'];
            $vypis .= "<a href='upravit.php?vrc=".$vrc."'>".$zaznam['Jmeno'] . " " . $zaznam['Prijmeni']."</a>";
            $vypis .="</div>";
            echo($vypis);
          }  */
       }
     }
	
     
   }
  ?>
          
      </div>      
    
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
        
           <li><a href="hledat.php">Zpět</a></li>
 
    
          </ul>
      </div>  
  
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
